Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.bruteforce
Class BruteForceSolverConfig

    java.lang.Object
      org.drools.planner.config.AbstractSolverConfig
          org.drools.planner.config.bruteforce.BruteForceSolverConfig

    public class BruteForceSolverConfig

extends AbstractSolverConfig

Field Summary

Fields inherited from class org.drools.planner.config.AbstractSolverConfig
`DEFAULT_RANDOM_SEED, environmentMode, randomSeed, ruleBase, scoreDefinitionConfig, scoreDrlList, startingSolutionInitializer, startingSolutionInitializerClass`

Constructor Summary
`BruteForceSolverConfig()`

Method Summary
`BruteForceSolver` | `buildSolver()`
`void` | `inherit(BruteForceSolverConfig inheritedConfig)`

Methods inherited from class org.drools.planner.config.AbstractSolverConfig
`buildStartingSolutionInitializer, configureAbstractSolver, getEnvironmentMode, getRandomSeed, getRuleBase, getScoreDefinitionConfig, getScoreDrlList, getStartingSolutionInitializer, getStartingSolutionInitializerClass, inherit, setEnvironmentMode, setRandomSeed, setRuleBase, setScoreDefinitionConfig, setScoreDrlList, setStartingSolutionInitializer, setStartingSolutionInitializerClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BruteForceSolverConfig

    public BruteForceSolverConfig()

Method Detail

### buildSolver

    public BruteForceSolver buildSolver()

  Specified by:
    `buildSolver` in class `AbstractSolverConfig`

### inherit

    public void inherit(BruteForceSolverConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.